;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME: restoreboxparam
;
; PURPOSE: restore all the zoom parameters (defined by calling domdef)
;          perviously defined by saveboxparam
;
; CATEGORY:
;
; CALLING SEQUENCE: restoreboxparam, filename
; 
; INPUTS: filename a scalar string defining the file name 
;
; KEYWORD PARAMETERS: none
;
; OUTPUTS:none
;
; COMMON BLOCKS: @cm_4mesh and @cm_demomode_used if we are in demo mode
;
; SIDE EFFECTS: call def_myuniquetmpdir, if myuniquetmpdir is undefined: 
;               => define, create and add it to !path
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      July 2005
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
PRO restoreboxparam, filename
@cm_4mesh
;
  IF lmgr(/demo) EQ 1 THEN BEGIN
; if we are in demo mode, we cannot save the parameters in a temporary file...
@cm_demomode_used
;
     lon1 = boxzoomparam.bound[0]
     lon2 = boxzoomparam.bound[1]
     lat1 = boxzoomparam.bound[2]
     lat2 = boxzoomparam.bound[3]
     vert1 = boxzoomparam.bound[4]
     vert2 = boxzoomparam.bound[5]
     firstxt = boxzoomparam.indexes[0]
     lastxt = boxzoomparam.indexes[1]
     firstyt = boxzoomparam.indexes[2]
     lastyt = boxzoomparam.indexes[3]
     firstxu = boxzoomparam.indexes[4]
     lastxu = boxzoomparam.indexes[5]
     firstyu = boxzoomparam.indexes[6]
     lastyu = boxzoomparam.indexes[7]
     firstxv = boxzoomparam.indexes[8]
     lastxv = boxzoomparam.indexes[9]
     firstyv = boxzoomparam.indexes[10]
     lastyv = boxzoomparam.indexes[11]
     firstxf = boxzoomparam.indexes[12]
     lastxf = boxzoomparam.indexes[13]
     firstyf = boxzoomparam.indexes[14]
     lastyf = boxzoomparam.indexes[15]
     firstzt = boxzoomparam.indexes[16]
     lastzt = boxzoomparam.indexes[17]
     firstzw = boxzoomparam.indexes[18]
     lastzw = boxzoomparam.indexes[19]
     nxt = boxzoomparam.indexes[20]
     nyt = boxzoomparam.indexes[21]
     nxu = boxzoomparam.indexes[22]
     nyu = boxzoomparam.indexes[23]
     nxv = boxzoomparam.indexes[24]
     nyv = boxzoomparam.indexes[25]
     nxf = boxzoomparam.indexes[26]
     nyf = boxzoomparam.indexes[27]
     nzt = boxzoomparam.indexes[28]
     nzw = boxzoomparam.indexes[29]
     key_irregular = boxzoomparam.key
;
      boxzoomparam = -1
;
   ENDIF ELSE BEGIN
;
      restore, myuniquetmpdir + filename
      file_delete, myuniquetmpdir + filename
;
   ENDELSE
;
   @updateold
;
  return
end
    
